Bug 975370 - Creating any type of app after jenkins-server ruins listing apps list via rhc, console, restapi [cloned from upstream]
Creating any type of app after jenkins-server ruins listing apps list via rh...
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Luke Meyer
libra bugs
Depends On: 974507
  Show dependency treegraph
Reported: 2013-06-18 05:15 EDT by Gaoyun Pei
Modified: 2017-03-08 12 EST (History)
8 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-controller-1.9.14-1.1.el6op
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 974507
Last Closed: 2013-06-28 11:47:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-18 05:15:52 EDT
This bug could also be reproduced on OpenShift Enterprise 1.2: RC 1

+++ This bug was initially created as a clone of Bug #974507 +++

Description of problem:

I am unable to use my rhcsetup after creating jenkins-server and jbossas-7 app

Version-Release number of selected component (if applicable):

ami-id: ami-890c7ae0

How reproducible:
Every time

Steps to Reproduce:
1. Create a new user, run rhc setup
2. create a jenkins-1.4 app
3. Create a jbossas-7 app
4. Issue the command rhc apps

Actual results:
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall). Please verify that you can
access the OpenShift server https://ec2-184-72-213-22.compute-1.amazonaws.com/broker/rest/domains/ofajans1/applications

Expected results:

List of created apps is displayed

Server log and server facter output are attached

Additional info:

--- Additional comment from ofayans@redhat.com on 2013-06-14 06:12:35 EDT ---

--- Additional comment from xiaoli on 2013-06-14 08:52:43 EDT ---

the ami should be devenv_3661

--- Additional comment from xiaoli on 2013-06-16 03:11:19 EDT ---

This bug happens on all types of applications after creating jenkins.

It happens on devenv-stage_376 as well.

--- Additional comment from xiaoli on 2013-06-16 03:19:00 EDT ---

while list applications via  curl -k  -X  GET   --user xtian+c1@redhat.com: 12  https://$dns/broker/rest/domains/4iu8v0u92n/applications

      <pre>undefined method `component_instances&#x27; for #&lt;RestApplication:0x00000006e6ec30&gt;</pre>

--- Additional comment from xiaoli on 2013-06-16 03:32:19 EDT ---

This bug happens on current STG( which matches devenv-stage_375 as well), should be get hot-fixed before deploy it to PROD.

It does not happen on current PROD yet.

--- Additional comment from Zhe Wang on 2013-06-16 21:59:26 EDT ---

Bug reproducible in devenv_3368

--- Additional comment from xiaoli on 2013-06-17 01:17:10 EDT ---

Any existing account which having jenkins added will be broken due to this bug

--- Additional comment from Dan McPherson on 2013-06-17 10:37:38 EDT ---

Full Stack:

ESC[0;37m2013-06-17 10:33:45.920ESC[0m [ESC[31mFATALESC[0m] NoMethodError (undefined method `component_instances' for #<R
  activemodel (3.2.8) lib/active_model/attribute_methods.rb:407:in `method_missing'
  openshift-origin-controller (1.10.1) app/rest_models/rest_application.rb:141:in `block (2 levels) in initialize'
  openshift-origin-controller (1.10.1) app/rest_models/rest_application.rb:140:in `each'
  openshift-origin-controller (1.10.1) app/rest_models/rest_application.rb:140:in `block in initialize'
  openshift-origin-controller (1.10.1) app/rest_models/rest_application.rb:137:in `each'
  openshift-origin-controller (1.10.1) app/rest_models/rest_application.rb:137:in `initialize'
  openshift-origin-controller (1.10.1) app/helpers/rest_model_helper.rb:8:in `new'
  openshift-origin-controller (1.10.1) app/helpers/rest_model_helper.rb:8:in `get_rest_application'
  openshift-origin-controller (1.10.1) app/controllers/applications_controller.rb:24:in `block in index'
  openshift-origin-controller (1.10.1) app/controllers/applications_controller.rb:24:in `map!'
  openshift-origin-controller (1.10.1) app/controllers/applications_controller.rb:24:in `index'

--- Additional comment from Dan McPherson on 2013-06-17 11:21:31 EDT ---


--- Additional comment from Dan McPherson on 2013-06-17 11:23:04 EDT ---


--- Additional comment from openshift-github-bot on 2013-06-17 13:31:36 EDT ---

Commit pushed to master at https://github.com/openshift/origin-server

Bug 974507

--- Additional comment from Wei Sun on 2013-06-18 00:59:54 EDT ---

Verified on STG(devenv_378) and devenv_3373

Can list apps via rhc and RESTAPI.
Comment 2 Luke Meyer 2013-06-18 09:11:34 EDT
I'm thinking we want to cherry-pick this fix for 1.2.
Comment 4 Gaoyun Pei 2013-06-24 00:35:18 EDT
Verify this bug on puddle:

[root@broker ~]# rpm -qa|grep rubygem-openshift-origin-controller

After jenkins app was created, "rhc domain show" could list all the apps successfully, and jenkins build could be done.
Comment 5 Luke Meyer 2013-06-28 11:47:27 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.